Project

General

Profile

action #70393

gdb fails to build on non-intel arches since fpc is build only for x86_64 in packagehub

Added by lkocman over 2 years ago. Updated over 2 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Target version:
-
Start date:
2020-08-21
Due date:
% Done:

0%

Estimated time:

Description

https://build.opensuse.org/package/show/openSUSE:Jump:15.2/gdb

fpc rpms are produced only on x86_64 https://build.opensuse.org/package/binaries/openSUSE:Backports:SLE-15-SP2/fpc/standard

Just a note that openSUSE:Jump:15.2 has a submit request redirection in place therefore submission against openSUSE:Jump:15.2 fpc should target it correctly against backports.

History

#1 Updated by lkocman over 2 years ago

Fork of gdb was created as part of poo#70255

#2 Updated by ggardet_arm over 2 years ago

Is there a mean to have a list of packages not built for aarch64? To avoid such regressions?

#3 Updated by lkocman over 2 years ago

Not to my knowledge, but ask our ARM rel-eng ;-)
Perhaps keeping such list (backed up with script that generates the report) would make sense for all arches especially with the dependency on pre-build rpms.
Perhaps one more todo for release-compare package (Adrian is just packaging it)

The only list we currently keep is this one for OBS->IBS Sync https://en.opensuse.org/Portal:Leap:Jump/OBS/Blacklist

#4 Updated by ggardet_arm over 2 years ago

We must enable FPC in Packagehub. Or, if not possible in PackageHub, in Jump.

#5 Updated by ggardet_arm over 2 years ago

Attempt to update FPC in Backports: https://build.opensuse.org/request/show/831404

#6 Updated by ggardet_arm over 2 years ago

I created https://bugzilla.opensuse.org/show_bug.cgi?id=1176175 to track it.
There is also a maintenance update for fpc/lazarus targeting Leap:15.2:Update https://build.opensuse.org/request/show/832100
Once accepted, PackageHub can get this update and then Jump.

Also available in: Atom PDF